[EPIC] Wikipedia Portal Dashboard: expand "other" countries data display
Closed, ResolvedPublic

Description

This story is to expand the "other" countries display in the current Portal Dashboard to reflect more data that we're interested in seeing. We currently display the "top 10" countries that garner the most page views of the portal, but these countries are all hard coded in the display and can't be dynamically updated if a different country becomes part of the top 10, due to page views.

The team chatted and had various ideas in this ticket. This epic story is document the work to be completed.

We'd like to have a table (or graph) of all the countries that have visitors to the wikipedia.org portal page. Specifically, we'd like to see data such as:

  • rolling daily window of at least 30 to 60 days
  • rollup of averages (monthly) that can be stored for ongoing analysis and viewing
  • clickthrough rates of these countries
    • search box, primary languages
    • landing events
    • non-actions
  • a link to the existing portal dashboard
  • update the wording on the existing portal page to point to this new data/page
    • also to update the wording on the existing portal page that the "top" countries displayed are hard-coded
  • and more TBD
debt created this task.Jun 17 2016, 7:33 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 17 2016, 7:33 PM

We are holding this task for the incoming analyst to be used as a great learning exercise because this project would involve a lot of things that we do on a regular basis (code review, dashboard engineering, database querying, …)

Note for future analyst: I highly suggest setting up a separate dashboard on the experimental space (http://discovery-experimental.wmflabs.org/) or as a separate dashboard in the production space because this addition would have a severe negative impact on the Portal dashboard performance, especially for first-load-of-the-day.

debt triaged this task as "Normal" priority.Jun 22 2016, 2:00 PM
debt moved this task from Needs triage to Up Next on the Discovery-Analysis board.Aug 16 2016, 8:23 PM
chelsyx claimed this task.Sep 12 2016, 5:50 PM
chelsyx moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.

Change 310473 had a related patch set uploaded (by Chelsyx):
Expand "other" countries data

https://gerrit.wikimedia.org/r/310473

Change 310473 merged by Bearloga:
Expand "other" countries data

https://gerrit.wikimedia.org/r/310473

Change 311026 had a related patch set uploaded (by Chelsyx):
Round proportions to 4 digits

https://gerrit.wikimedia.org/r/311026

Change 311026 merged by Bearloga:
Round proportions to 4 digits

https://gerrit.wikimedia.org/r/311026

Change 311030 had a related patch set uploaded (by Chelsyx):
Round proportions to 4 digits -- part 2

https://gerrit.wikimedia.org/r/311030

Change 311030 merged by Bearloga:
Round proportions to 4 digits -- part 2

https://gerrit.wikimedia.org/r/311030

@mpopov and @debt, please let me know what you think: http://discovery-experimental.wmflabs.org/poultry/

And @mpopov, thank you soooo much for helping me with the deploying issue!

debt added a comment.EditedOct 7 2016, 7:44 PM

Please use the USA as a single country in the 'all', and 'top 10' dropdown groupings by country, not broken out into the US regions.

Also, add USA (as a country) in the custom dropdown but keeping the US regions as well (in case someone wants to select only a few of the regions and not the entire US).

Thank you for the suggestions! I will work on it after I finish other ongoing projects.

wow that looks great!

debt added a comment.Nov 10 2016, 9:04 PM

let's add in the note about bucketing and update the 'blah blah' part. Otherwise - looks great! :)

debt added a comment.Dec 9 2016, 12:29 AM

so pretty and looks good to launch for me! :)

@debt Do we want to put it as a new tab on http://discovery.wmflabs.org/portal/ ? @mpopov what do you think?

debt added a comment.Dec 9 2016, 4:29 PM

Well, it's certainly prettier than the tab that we have now: http://discovery.wmflabs.org/portal/#country_breakdown - but we should probably keep that one and rename it to 'general geo breakdown' or something like that.
The new one can be it's own tab in the dashboard - since it has all different things in it.

Also - it appears that in the 'most common section' it doesn't work all the time with changing the group of countries. :( Can that be looked at?

Change 327139 had a related patch set uploaded (by Chelsyx):
Add geo breakdowns

https://gerrit.wikimedia.org/r/327139

Change 327139 merged by Bearloga:
Add geo breakdowns

https://gerrit.wikimedia.org/r/327139

mpopov added a comment.Jan 6 2017, 1:54 AM

On beta: http://discovery-beta.wmflabs.org/portal/#all_country

Will be deployed to production tomorrow or early next week.

Good job, Chelsy!

debt closed this task as "Resolved".Jan 9 2017, 7:32 PM